<!-- THIS PART OF THIS FILE IS AUTOGENERATED. DO NOT MODIFY IT. See scripts/generate-docs.sh -->
# context

```text
usage: context [-h] [--on] [--off] [subcontext ...]

```

Print out the currently enabled context sections.

This is the text that gets printed on every stop. It can be useful
to run this command manually when you change some process/debugger
state but don't want to step/continue (e.g. after using the `down`
and `up` commands).

**Alias:** ctx
### Positional arguments

|Positional Argument|Help|
| :--- | :--- |
|subcontext|Submenu to display: 'regs', 'disasm', 'code', 'stack', 'backtrace', 'ghidra', 'args', 'threads', 'heap_tracker', 'expressions', and/or 'last_signal'|

### Optional arguments

|Short|Long|Help|
| :--- | :--- | :--- |
|-h|--help|show this help message and exit|
||--on|Show the section(s) in subsequent context commands again. The section(s) have to be in the 'context-sections' list.|
||--off|Do not show the section(s) in subsequent context commands even though they might be in the 'context-sections' list.|

### Notes
To see more commands related to context control run:
```
pwndbg -c context
```
To see context configuration run:
```
config context
```

<!-- END OF AUTOGENERATED PART. Do not modify this line or the line below, they mark the end of the auto-generated part of the file. If you want to extend the documentation in a way which cannot easily be done by adding to the command help description, write below the following line. -->
<!-- ------------\>8---- ----\>8---- ----\>8------------ -->

### Usage example

<video autoplay loop muted playsinline alt="context example">
  <source src="../../../assets/videos/context-up-down.webm" type="video/webm">
  <source src="../../../assets/videos/context-up-down.mp4" type="video/mp4">
</video>
